Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rs.impl
Class RegistryPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.common.ebxml._3._0.rs.impl.RegistryPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, RegistryPackage

    public class RegistryPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements RegistryPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryPackage
`RegistryPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryPackage
`DOCUMENT_ROOT, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__REGISTRY_ERROR, DOCUMENT_ROOT__REGISTRY_ERROR_LIST, DOCUMENT_ROOT__REGISTRY_REQUEST, DOCUMENT_ROOT__REGISTRY_RESPONSE, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, REGISTRY_ERROR_LIST_TYPE, REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY, REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR, REGISTRY_ERROR_LIST_TYPE_FEATURE_COUNT, REGISTRY_ERROR_TYPE, REGISTRY_ERROR_TYPE__CODE_CONTEXT, REGISTRY_ERROR_TYPE__ERROR_CODE, REGISTRY_ERROR_TYPE__LOCATION, REGISTRY_ERROR_TYPE__SEVERITY, REGISTRY_ERROR_TYPE__VALUE, REGISTRY_ERROR_TYPE_FEATURE_COUNT, REGISTRY_REQUEST_TYPE, REGISTRY_REQUEST_TYPE__COMMENT, REGISTRY_REQUEST_TYPE__ID, REGISTRY_REQUEST_TYPE__REQUEST_SLOT_LIST, REGISTRY_REQUEST_TYPE_FEATURE_COUNT, REGISTRY_RESPONSE_TYPE, REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST, REGISTRY_RESPONSE_TYPE__REQUEST_ID, REGISTRY_RESPONSE_TYPE__RESPONSE_SLOT_LIST, REGISTRY_RESPONSE_TYPE__STATUS, REGISTRY_RESPONSE_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryError()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryErrorList()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryResponse()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorListType_HighestSeverity()`
`org.eclipse.emf.ecore.EReference` | `getRegistryErrorListType_RegistryError()`
`org.eclipse.emf.ecore.EClass` | `getRegistryErrorListType()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_CodeContext()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_ErrorCode()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Location()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Severity()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryErrorType_Value()`
`org.eclipse.emf.ecore.EClass` | `getRegistryErrorType()`
`RegistryFactory` | `getRegistryFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryRequestType_Comment()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryRequestType_Id()`
`org.eclipse.emf.ecore.EReference` | `getRegistryRequestType_RequestSlotList()`
`org.eclipse.emf.ecore.EClass` | `getRegistryRequestType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_RegistryErrorList()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryResponseType_RequestId()`
`org.eclipse.emf.ecore.EReference` | `getRegistryResponseType_ResponseSlotList()`
`org.eclipse.emf.ecore.EAttribute` | `getRegistryResponseType_Status()`
`org.eclipse.emf.ecore.EClass` | `getRegistryResponseType()`
`static RegistryPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static RegistryPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `RegistryPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `RegistryPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `RegistryPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryError

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryError()

  Specified by:
    `getDocumentRoot_RegistryError` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Error'.
  See Also:
    `DocumentRoot.getRegistryError()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryErrorList

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryErrorList()

  Specified by:
    `getDocumentRoot_RegistryErrorList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Error List'.
  See Also:
    `DocumentRoot.getRegistryErrorList()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryRequest()

  Specified by:
    `getDocumentRoot_RegistryRequest` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Request'.
  See Also:
    `DocumentRoot.getRegistryRequest()`, `RegistryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryResponse

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryResponse()

  Specified by:
    `getDocumentRoot_RegistryResponse` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Response'.
  See Also:
    `DocumentRoot.getRegistryResponse()`, `RegistryPackage.getDocumentRoot()`

### getRegistryErrorListType

    public org.eclipse.emf.ecore.EClass getRegistryErrorListType()

  Specified by:
    `getRegistryErrorListType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Error List Type'.
  See Also:
    `RegistryErrorListType`

### getRegistryErrorListType_RegistryError

    public org.eclipse.emf.ecore.EReference getRegistryErrorListType_RegistryError()

  Specified by:
    `getRegistryErrorListType_RegistryError` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Error'.
  See Also:
    `RegistryErrorListType.getRegistryError()`, `RegistryPackage.getRegistryErrorListType()`

### getRegistryErrorListType_HighestSeverity

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorListType_HighestSeverity()

  Specified by:
    `getRegistryErrorListType_HighestSeverity` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Highest Severity'.
  See Also:
    `RegistryErrorListType.getHighestSeverity()`, `RegistryPackage.getRegistryErrorListType()`

### getRegistryErrorType

    public org.eclipse.emf.ecore.EClass getRegistryErrorType()

  Specified by:
    `getRegistryErrorType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Error Type'.
  See Also:
    `RegistryErrorType`

### getRegistryErrorType_Value

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Value()

  Specified by:
    `getRegistryErrorType_Value` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `RegistryErrorType.getValue()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryErrorType_CodeContext

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_CodeContext()

  Specified by:
    `getRegistryErrorType_CodeContext` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Code Context'.
  See Also:
    `RegistryErrorType.getCodeContext()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryErrorType_ErrorCode

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_ErrorCode()

  Specified by:
    `getRegistryErrorType_ErrorCode` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Error Code'.
  See Also:
    `RegistryErrorType.getErrorCode()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryErrorType_Location

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Location()

  Specified by:
    `getRegistryErrorType_Location` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `RegistryErrorType.getLocation()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryErrorType_Severity

    public org.eclipse.emf.ecore.EAttribute getRegistryErrorType_Severity()

  Specified by:
    `getRegistryErrorType_Severity` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `RegistryErrorType.getSeverity()`, `RegistryPackage.getRegistryErrorType()`

### getRegistryRequestType

    public org.eclipse.emf.ecore.EClass getRegistryRequestType()

  Specified by:
    `getRegistryRequestType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Request Type'.
  See Also:
    `RegistryRequestType`

### getRegistryRequestType_RequestSlotList

    public org.eclipse.emf.ecore.EReference getRegistryRequestType_RequestSlotList()

  Specified by:
    `getRegistryRequestType_RequestSlotList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Request Slot List'.
  See Also:
    `RegistryRequestType.getRequestSlotList()`, `RegistryPackage.getRegistryRequestType()`

### getRegistryRequestType_Comment

    public org.eclipse.emf.ecore.EAttribute getRegistryRequestType_Comment()

  Specified by:
    `getRegistryRequestType_Comment` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Comment'.
  See Also:
    `RegistryRequestType.getComment()`, `RegistryPackage.getRegistryRequestType()`

### getRegistryRequestType_Id

    public org.eclipse.emf.ecore.EAttribute getRegistryRequestType_Id()

  Specified by:
    `getRegistryRequestType_Id` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RegistryRequestType.getId()`, `RegistryPackage.getRegistryRequestType()`

### getRegistryResponseType

    public org.eclipse.emf.ecore.EClass getRegistryResponseType()

  Specified by:
    `getRegistryResponseType` in interface `RegistryPackage`
  Returns:
    the meta object for class 'Response Type'.
  See Also:
    `RegistryResponseType`

### getRegistryResponseType_ResponseSlotList

    public org.eclipse.emf.ecore.EReference getRegistryResponseType_ResponseSlotList()

  Specified by:
    `getRegistryResponseType_ResponseSlotList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Response Slot List'.
  See Also:
    `RegistryResponseType.getResponseSlotList()`, `RegistryPackage.getRegistryResponseType()`

### getRegistryResponseType_RegistryErrorList

    public org.eclipse.emf.ecore.EReference getRegistryResponseType_RegistryErrorList()

  Specified by:
    `getRegistryResponseType_RegistryErrorList` in interface `RegistryPackage`
  Returns:
    the meta object for the containment reference 'Registry Error List'.
  See Also:
    `RegistryResponseType.getRegistryErrorList()`, `RegistryPackage.getRegistryResponseType()`

### getRegistryResponseType_RequestId

    public org.eclipse.emf.ecore.EAttribute getRegistryResponseType_RequestId()

  Specified by:
    `getRegistryResponseType_RequestId` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Request Id'.
  See Also:
    `RegistryResponseType.getRequestId()`, `RegistryPackage.getRegistryResponseType()`

### getRegistryResponseType_Status

    public org.eclipse.emf.ecore.EAttribute getRegistryResponseType_Status()

  Specified by:
    `getRegistryResponseType_Status` in interface `RegistryPackage`
  Returns:
    the meta object for the attribute 'Status'.
  See Also:
    `RegistryResponseType.getStatus()`, `RegistryPackage.getRegistryResponseType()`

### getRegistryFactory

    public RegistryFactory getRegistryFactory()

  Specified by:
    `getRegistryFactory` in interface `RegistryPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD